/*
 * Copyright (c) 1999 Sun Microsystems, Inc.
 * Copyright (c) 1999 Nihon Sun Microsystems K.K.
 * All rights reserved.
 */

/*
 * "$Id: iconv.c,v 1.1.1.1 2000/10/29 16:50:57 himi Exp $"
 */

#pragma ident	"@(#)iconv.c 1.1	99/04/15 SMI"

#include <errno.h>
#include <sys/types.h>

#include "iconv.h"


struct _iconv_info {
	int	status;
};


iconv_t
iconv_open(const char * tocode, const char * fromcode)
{
	errno = EINVAL;
	return (iconv_t)(-1);
}


size_t
iconv(iconv_t		cd,
      const char **	inbuf,
      size_t *		inbytesleft,
      char **		outbuf,
      size_t *		outbytesleft)
{
	errno = EBADF;
	return (size_t)(-1);
}


int
iconv_close(iconv_t cd)
{
	errno = EBADF;
	return (-1);
}
